/*
  Large integer division algorithm for (days + msecs).

  04/2019 : F. Prill, DWD.

  The method uses a basis b=1200 representation for time spans and the
  division algorithm implemented in int_div.c.
*/

#ifndef TIMESPAN_DIV_H_
#define TIMESPAN_DIV_H_

#include "int_div.h"

int   divide_timespan(const t_lid_int days1, const t_lid_int day_fraction1,
		      const t_lid_int days2, const t_lid_int day_fraction2,
		      t_lid_int *q_decimal, t_lid_int *remainder_days, t_lid_int *remainder_ms);

#endif /* TIMESPAN_DIV_H_ */
